Index: src/southbridge/amd/rs690/rs690_gfx.c
===================================================================
--- src/southbridge/amd/rs690/rs690_gfx.c	(revision 223)
+++ src/southbridge/amd/rs690/rs690_gfx.c	(working copy)
@@ -211,12 +211,22 @@
 	.ops_pci = &lops_pci,
 };
 
-static struct pci_driver pcie_driver __pci_driver = {
+/*
+ * The dev id of 690G is 791E, while the id of 690M, 690T is 791F.
+ * We should list both of them here.
+ * */
+static struct pci_driver pcie_driver_690t __pci_driver = {
 	.ops = &pcie_ops,
 	.vendor = PCI_VENDOR_ID_ATI,
 	.device = PCI_DEVICE_ID_ATI_RS690MT_INT_GFX,
 };
 
+static struct pci_driver pcie_driver_690 __pci_driver = {
+	.ops = &pcie_ops,
+	.vendor = PCI_VENDOR_ID_ATI,
+	.device = PCI_DEVICE_ID_ATI_RS690_INT_GFX,
+};
+
 /* step 12 ~ step 14 from rpr */
 static void single_port_configuration(device_t nb_dev, device_t dev)
 {
